Get payment link QR code
Retrieve the payment link encoded in a QR code.
Use the Accept header to specify the format of the response. Supported formats are application/json and image/png.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
GET
/accounts/{accountID}/payment-links/{paymentLinkCode}/qrcode
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}/qrcode" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.paymentLinks.getQRCode({
accountID: "2f01a42a-aa5a-424f-9f47-6f8999ed05dc",
paymentLinkCode: "uc7ZYKrMhi",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->paymentLinks->getQRCode(
accountID: '2f01a42a-aa5a-424f-9f47-6f8999ed05dc',
paymentLinkCode: 'uc7ZYKrMhi'
);
if ($response->qrCode !== null) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.payment_links.get_qr_code(account_id="2f01a42a-aa5a-424f-9f47-6f8999ed05dc", payment_link_code="uc7ZYKrMhi")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.GetPaymentLinkQRCodeResponse;
public class Application {
public static void main(String[] args) throws Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
GetPaymentLinkQRCodeResponse res = sdk.paymentLinks().getQRCode()
.accountID("2f01a42a-aa5a-424f-9f47-6f8999ed05dc")
.paymentLinkCode("uc7ZYKrMhi")
.call();
if (res.qrCode().isPresent()) {
// handle response
}
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.payment_links.get_qr_code(account_id: '2f01a42a-aa5a-424f-9f47-6f8999ed05dc', payment_link_code: 'uc7ZYKrMhi')
unless res.qr_code.nil?
# handle response
endThe request has succeeded.
{
"qrCode": "iVBORw0KGgoAAAANSUhEUgAAAOEAAADhCAIAAADaA7F0AAAACXBIWXMAAAsTAAALEwEAmpwYAAAA..."
}
Returns an image file (image/png).
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
The merchant account ID.
paymentLinkCode
string
required
Response
qrCode
string
required
A base64-encoded PNG image of the QR code.